import { h } from '../edel-elements.core.js';

class EdelContainerItemComponent {
    constructor() {
        this.full = false;
    }
    render() {
        return h("slot", null);
    }
    hostData() {
        return {
            class: 'container-item'
        };
    }
    componentDidLoad() {
        this.updateClasses();
    }
    updateClasses() {
        if (this.full)
            this.host.classList.add('full');
        else
            this.host.classList.remove('full');
    }
    static get is() { return "edel-container-item"; }
    static get properties() { return {
        "full": {
            "type": Boolean,
            "attr": "full",
            "watchCallbacks": ["componentDidLoad"]
        },
        "host": {
            "elementRef": true
        }
    }; }
}

export { EdelContainerItemComponent as EdelContainerItem };
